## ephy-embed-factory

ephy-embed-factory —

## Synopsis

    GObject*    ephy_embed_factory_new_object   (const char *object_id);

## Description

## Details

### ephy_embed_factory_new_object ()

    GObject*    ephy_embed_factory_new_object   (const char *object_id);

Create an instance of the object identified by object_id string. Valid ids are EphyEmbed, EphyEmbedPersist, EphyEmbedSingle. We use a factory instead of creating instances directly to keep the embed implementation abstract. All the embed objects should be based on an interface and created by this factory.

`object_id` : |
Returns : |